function [y] = uq_xiaoche(xx)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% RASTRIGIN FUNCTION
%
% Authors: Sonja Surjanovic, Simon Fraser University
%          Derek Bingham, Simon Fraser University
% Questions/Comments: Please email Derek Bingham at dbingham@stat.sfu.ca.
%
% Copyright 2013. Derek Bingham, Simon Fraser University.
%
% THERE IS NO WARRANTY, EXPRESS OR IMPLIED. WE DO NOT ASSUME ANY LIABILITY
% FOR THE USE OF THIS SOFTWARE.  If software is modified to produce
% derivative works, such modified software should be clearly marked.
% Additionally, this program is free software; you can redistribute it 
% and/or modify it under the terms of the GNU General Public License as 
% published by the Free Software Foundation; version 2.0 of the License. 
% Accordingly, this program is distributed in the hope that it will be 
% useful, but WITHOUT ANY WARRANTY; without even the implied warranty 
% of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
% General Public License for more details.
%
% For function details and reference information, see:
% http://www.sfu.ca/~ssurjano/
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% INPUT:
%
% xx = [x1, x2, ..., xd]
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x1=xx(:,1);
x2=xx(:,2);
x3=xx(:,3);
x4=xx(:,4);
x5=xx(:,5);
x6=xx(:,6);
MM=norminv(normcdf(x1,0,1),1,0.05);
CC1=norminv(normcdf(x2,0,1),1,0.1);
CC2=norminv(normcdf(x3,0,1),0.1,0.01);
QQ=norminv(normcdf(x4,0,1),0.5,0.05);
TT1=norminv(normcdf(x5,0,1),1,0.2);
FF1=norminv(normcdf(x6,0,1),1,0.2);
WW=sqrt((CC1+CC2)./MM);
y=3*QQ-abs((2*FF1./(MM.*WW.^2)).*sin((WW.*TT1)/2));
end
